<?php /* _\|/_
         (o o)                         
+-----oOO-{_}-OOo--------------------------------------------------------+
| ConPresso-Module "Guestbook"                                           |
+------------------------------------------------------------------------+
| Copyright (c) Matthias Vorwergk                                        |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso.de                                             |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Mattias Vorwergk <matthias.vorwergk@web.de>                   |
+------------------------------------------------------------------------+
*/

if (!defined('CPO')) exit;

global $key, $_type, $_name, $content, $sid_user, $data, $db_nr,
    $hidden_action, //entspricht nextaction, aus dem man gerade kam
    $cpoRubric, //um das Parser nur im Modul Guestbook zu erlauben.
    $directory, //um das Parser nur im Modul Guestbook zu erlauben.
    $activeModules, //um das Parser nur im Modul Guestbook zu erlauben.
    $pagetype;


//Parser nur im Modul Guestbook erlauben.
if (empty($activeModules[ucfirst($directory)]) || $cpoRubric['directory']!=$activeModules[ucfirst($directory)]['directory']) return; 
//content fr diesen Typ nur auf der Detail-Seite parsen, damit ifSet und ifNotSet auf der Index- und PHP-Seite wie blich funktioniert
if ($pagetype!='detail') return;

//Wenn bearbeitet werden soll, dann Daten aus Db holen, falls noch nicht vorhanden
if (!empty($db_nr) && !isset($data['content'][$_name.' (url)']['url']) && ($hidden_action=='edit' || $hidden_action=='fastedit')) {
    $db_content = new DB;
    $query = sprintf("SELECT fieldname, url FROM ".CPO_CONTENT_URLS." "
        ."WHERE article_id='%d'", addslashes($db_nr));
    DEBUG(1, $query, __FILE__, __LINE__); 
    $db_content->query($query);
    while ($db_content->next_record()) {
        //Dies ist der Array, der beim Absenden des Formulars mit Inhalt gefllt wird
        $data['content'][$db_content->v('fieldname').' (url)']['url'] = $db_content->v('url');
    }
}
//Allgemeine Input-Felder
$content[$key] = array( // $key==$_name.' ('.$_type.')'
    'type'          =>$_type,
    'name'          =>$_name,
    'input_name'    =>'data[content]['.$_name.' (url)][url]',
    'input_value'   =>(!empty($data['content'][$_name.' (url)']['url']) ? $data['content'][$_name.' (url)']['url'] : '')
);

?>
