<?php
/*
CAPTCHA-Skript:
===============
Quelle: http://www.stoppt-den-spam.info/webmaster/captcha-tutorial/index.html
von Roberto Zehnder, Rosenweg 15, 5722 Grnichen, Schweiz
//Erweitert von Matthias Vorwergk - matthias.vorwergk@web.de
*/
define('CPO', true);
if (empty($parameters)) {
    // ..captcha/.._include/..mod_guestbook/_include/common.inc.php
    require_once('../../../_include/common.inc.php');
    require_once('../function.inc.php');
}

//Einstellungen aus zentraler Datei hohlen
if (!empty($parameters)) { //Wenn mit Option "noimage" vom Parser aufgerufen, dann Pfad anpassen
    $config = '_include/captcha/captcha_config.inc.php';
} else { //sonst normalen Pfad nehmen
    $config = 'captcha_config.inc.php';
}
if (!file_exists($config) || !is_readable($config)) {
    $config .= '.dist'; 
}
include($config);

//Standard-Werte setzen
if (empty($captcha_key)) {
    $captcha_key = '8fkd9oq6n';
}
if (empty($parameters)) { //Dadurch kann das Captcha direkt im Parser als Text ausgegeben werden
    if (empty($calc_img_size_x) || empty($calc_img_size_y) || empty($calc_font)) {
        $calc_img_size_x = 80; //klein: 80  //gro: 105
        $calc_img_size_y = 15; //klein: 15  //gro: 18
        $calc_font = 3; //klein: 3  //gro: 5
    }
    if (!isset($calc_color_r) || !isset($calc_color_g) || !isset($calc_color_b)) {
        $calc_color_r = 13; //Voreinstellung: 13
        $calc_color_g = 28; //Voreinstellung: 28
        $calc_color_b = 91; //Voreinstellung: 91
    }
    if (!isset($calc_bg_color_r) || !isset($calc_bg_color_g) || !isset($calc_bg_color_b)) {
        $calc_bg_color_r = 162; //Voreinstellung: 162
        $calc_bg_color_g = 162; //Voreinstellung: 162
        $calc_bg_color_b = 162; //Voreinstellung: 162
    }
}
    
unset($_SESSION['captcha_spam']);
$zahl1 = rand(10,20); //Erste Zahl 10-20
$zahl2 = rand(1,10);  //Zweite Zahl 1-10
$operator = rand(1,2); // + oder -

if($operator == "1"){
    $operatorzeichen = " + ";
    $ergebnis = $zahl1 + $zahl2;
}else{
    $operatorzeichen = " - ";
    $ergebnis = $zahl1 - $zahl2;
}

$_SESSION['captcha_spam'] = encrypt($ergebnis, $captcha_key); //Key
$_SESSION['captcha_spam'] = str_replace("=", "", $_SESSION['captcha_spam']);

$rechnung = $zahl1.$operatorzeichen.$zahl2." = ?";

if (!empty($parameters)) { //Dadurch kann das Captcha direkt im Parser als Text ausgegeben werden
    echo $rechnung;
} else {
    $img = imagecreatetruecolor($calc_img_size_x,$calc_img_size_y);
    $schriftfarbe = imagecolorallocate($img,$calc_color_r,$calc_color_g,$calc_color_b);
    $hintergrund = imagecolorallocate($img,$calc_bg_color_r,$calc_bg_color_g,$calc_bg_color_b);
    imagefill($img,0,0,$hintergrund);
    imagestring($img, $calc_font, 2, 0, $rechnung, $schriftfarbe); //klein: 3  //gro: 5
    header("Content-type: image/png");
    imagepng($img);
    imagedestroy($img);
}
?> 