<?php /* _\|/_
         (o o)                         
+-----oOO-{_}-OOo--------------------------------------------------------+
| ConPresso-Module "Guestbook"                                           |
+------------------------------------------------------------------------+
| Copyright (c) Matthias Vorwergk                                        |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso.de                                             |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Mattias Vorwergk <matthias.vorwergk@web.de>                   |
+------------------------------------------------------------------------+
*/

if (!defined('CPO')) exit;

if (!empty($gb_settings['template_mail'])) {
    $db_template      = $gb_settings['template_id'];
    $db_nr            = $data['nr']; //kommt gerade von save_article zurck
    if (!empty($data['idx'])) {
        $db_idx       = $data['idx'];
    }
    $db_email         = $data['email'];
    $db_autor         = $data['autor'];
    $db_changer       = $data['changedBy'];
    $db_pub_datum     = $data['pub_datum'];
    $db_verfallsdatum = $data['verfallsdatum'];
    $db_commentary    = $data['commentary'];
    $db_titel         = $data['titel'];
    if (count(explode('#', $db_titel))>=2) {
        $db_titel = substr($db_titel, strpos($db_titel, '#')+1);
    }
    $db_initial       = $data['initial']; //Dies benutze ich fr die User_id = $sid_user['id'];
    $db_rubric_id     = $cpoRubric['id'];

    $template_datei_full = $gb_settings['template_mail']."\n";
    $template_datei      = $gb_settings['template_mail'];
    $templates_id        = $db_template;
    
    // Zur identifizierung des aktuellen Vorgangs, um manche Plazhalter nur auf den E-Mail-Versand zu beschrnken
    $pagetype = 'email';

    require(CPO_BASEDIR.'_include/parser.php');
    $nachricht = $template_datei;
    $nachricht = strip_tags($nachricht);
} else {
    $nachricht = sprintf(__("------------------------------------------------------------------------\nThis e-mail was automatically generated.\nIf you have questions, please contact your\nadministrator: %s.\n------------------------------------------------------------------------\nThere is a new/edited article\nin the guestbook-rubric: \"%s\"\nof the Project: \"%s\"\n\nDate: %s\n\n\n"),
        $cpoSystem['admin_email'], // admin
        $cpoRubric['name'],
        $cpoSystem['project'], // project
        date($cpoSystem['date_format'], time()) // datum
    );
}

if ($gb_settings['sent_email'] && !empty($gb_settings['email'])) {
    $empfaenger = $gb_settings['email'];
    if (!empty($gb_settings['email_subject'])) {
        $betreff = $gb_settings['email_subject'];
    } else {
        $betreff = ___('New/Edited guestbook-article');
    }
    if (!empty($data['email'])) {
        $absender = $data['email'];
    } else {
        $absender = $cpoSystem['system_email'];
    }
    $header = 'From: '.$absender."\r\n" .
    'Reply-To: '.$absender."\r\n" .
    'X-Mailer: mod_guestbook by conpresso.de via PHP/'.phpversion();

    mail($empfaenger, $betreff, $nachricht, $header);
}
?>